Subject: Behavior of Transaction Pending

From: Prashant Jain <[email-masked]>
Date: Sat, 8 Jul 2000 18:50:21 +0530

Hi all,

As per the protocol, receiving entity shall generate a transaction pending
response to the Sending entity on receiving a duplicate request while the
execution of the duplicate request  is in progress.  On receiving a transaction
pending, the sender shall switch to a longer timer value.

In this scenario, the retransmission timer shall never expire if transaction
pending responses are being regularly generated by the receiving entity and
reaches the sender before its retransmission timer expires. Shouldn't the
protocol allow a upper bound on the number of  pending responses one can
generate and after that the sender should conclude the receiving entity as dead.

Regards,
Prashant Jain
VOIP Group, Hughes Software Systems.